Query a User's Device

Ask a device questions about its water usage. See Querying Samples for detailed info. The "Content-Type" header must be set to "application/json".

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example Query:

{
	"queries": [
		{
			"request_id": "abc",
			"bucket": "MON",
			"since_datetime": "2016-04-04 01:00:00",
			"group_multiplier": 3
		},
		{
			"request_id": "xyz",
			"bucket": "DAY",
			"since_datetime": "2016-04-04 01:00:00",
			"until_datetime": "2016-04-07 01:00:00"
		}
	]
}
Path Params
int32
required

ID of the user

string
required

ID of the device

Body Params
queries
array of objects
required

Array of questions to ask. See Querying Samples for detailed info

queries*
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json